Bug 1325083 - Available subscriptions can not be sorted by number in subscription-manager-gui
Summary: Available subscriptions can not be sorted by number in subscription-manager-gui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: pre-dev-freeze
: ---
Assignee: Chris Snyder
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-08 07:28 UTC by qianzhan
Modified: 2016-11-03 20:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:27:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
can_not_sort_available_subscriptions_by_number.png (121.72 KB, image/png)
2016-04-08 07:29 UTC, qianzhan
no flags Details
Available subscription is now sortable (232.81 KB, image/png)
2016-06-23 07:43 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description qianzhan 2016-04-08 07:28:45 UTC
Description of problem:
Available subscriptions can not be sorted  by number in subscription-manager-gui

Version-Release number of selected component (if applicable):
subscription-manager: 1.16.8-8.el6
python-rhsm: 1.16.6-1.el6


How reproducible:
always

Steps to Reproduce:
1. Register to satellite6.1
2. Open subscription-manager-gui, click 'Available' in 'All Available Subscriptions' tab.


Actual results:
The available subscriptions can not be sorted by number. Please see attachment 'can_not_sort_available_subscriptions_by_number.png'

Expected results:
subscriptions can be sorted by number.

Additional info:

Comment 1 qianzhan 2016-04-08 07:29:03 UTC
Created attachment 1145037 [details]
can_not_sort_available_subscriptions_by_number.png

Comment 6 Shwetha Kallesh 2016-06-23 07:43:47 UTC
Created attachment 1171324 [details]
Available subscription is now sortable

Marking the bug as verified as the available subscription coulumn is now sortable 
P.S attachment

[root@shwetha-workstation ~]# rpm -qa | grep subscription-manager-gui
subscription-manager-gui-1.17.8-1.el7.x86_64

Comment 8 errata-xmlrpc 2016-11-03 20:27:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.